> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/postrfqs.md).

# POST /rfqs

Create a new RFQ block.

`POST https://api.aevo.xyz/rfqs`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Body Parameters

| Field            | Type           | Required | Description                                                                                                                                                       |
| ---------------- | -------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `legs`           | array\[object] | No       |                                                                                                                                                                   |
| `full_size`      | boolean        | No       | Full size only if true. Example: `True`                                                                                                                           |
| `is_buy`         | boolean        | No       | True for long order, false for short order. Example: `True`                                                                                                       |
| `amount`         | string         | No       | Number of contracts. In 6 decimals fixed number. Example: `1000000`                                                                                               |
| `duration`       | integer        | No       | Duration of the RFQ block in seconds Example: `30`                                                                                                                |
| `counterparties` | array\[string] | No       | List of counterparties allowed to quote for the RFQ block Example: `['0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2', '0xE9b3a48d15BE316A8e34FAd53fFDFDddf0C3D24b']` |

## Example Request

```bash
curl --request POST \
     --url https://api.aevo.xyz/rfqs \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>' \
     --header 'content-type: application/json' \
     --data '{ ... }'
```

## Responses

**`200`** — RFQ block created.

| Field    | Type           | Required | Description |
| -------- | -------------- | -------- | ----------- |
| `blocks` | array\[object] | No       |             |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
